import { Done } from '../../../../../../../Class/Functional/Done';
import { Graph } from '../../../../../../../Class/Graph';
import { Holder } from '../../../../../../../Class/Holder';
import { System } from '../../../../../../../system';
export interface I {
    opt: {};
    graph: Graph;
    done: any;
}
export interface O {
    id: string;
}
export default class LocalShareGraph extends Holder<I, O> {
    private _connected;
    private _id;
    private _terminate;
    constructor(system: System);
    f({ opt, graph }: I, done: Done<O>): void;
    d(): void;
}
